Retrieve IPv6 subnets from an IP block
Since 7.1.0Paged generated subnets of an IPv6 block with their assignment, filterable by subnet, reservation, assignment and server.
Try it
Sent from this browser to your panel with your token. Reads live data.
⌘↵Request
Authorization
Authorization header when making requests to protected resources.Example:
Authorization: Bearer ********************Query Params#
Number of results to return. Range between 1 and 200. Defaults to 20.
Page of results to return, starting at 1.
Only the subnet with this address.
true for subnets assigned to a server, false for free ones.
true for reserved subnets, false for the rest.
Only subnets assigned to this server.
Request Code Samples
curl --location --request GET 'https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1' \
--header 'Authorization: Bearer <token>' \
--header 'Accept: application/json'wget --quiet --output-document=- \
--method=GET \
--header='Authorization: Bearer <token>' \
--header='Accept: application/json' \
'https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1'http GET 'https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1' \
'Authorization: Bearer <token>' \
'Accept: application/json'const response = await fetch("https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1", {
method: "GET",
headers: {
"Authorization": "Bearer <token>",
"Accept": "application/json",
},
});
const data = await response.json();
console.log(response.status, data);import axios from "axios";
const response = await axios({
method: "get",
url: "https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1",
headers: {
"Authorization": "Bearer <token>",
"Accept": "application/json",
},
});
console.log(response.status, response.data);const https = require("https");
const req = https.request({
hostname: "cp.domain.com",
path: "/api/v1/connectivity/ipblocks/1/ipv6?page=1",
method: "GET",
headers: {
"Authorization": "Bearer <token>",
"Accept": "application/json",
},
}, (res) => {
let data = "";
res.on("data", (chunk) => (data += chunk));
res.on("end", () => console.log(res.statusCode, JSON.parse(data)));
});
req.on("error", (err) => console.error(err));
req.end();import requests
url = "https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1"
headers = {
"Authorization": "Bearer <token>",
"Accept": "application/json",
}
response = requests.request("GET", url, headers=headers)
print(response.status_code)
print(response.json())import http.client
import json
conn = http.client.HTTPSConnection("cp.domain.com")
headers = {
"Authorization": "Bearer <token>",
"Accept": "application/json",
}
conn.request("GET", "/api/v1/connectivity/ipblocks/1/ipv6?page=1", None, headers)
response = conn.getresponse()
print(response.status)
print(json.loads(response.read()))<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer <token>',
'Accept: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;<?php
require 'vendor/autoload.php';
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('GET', 'https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1', [
'headers' => [
'Authorization' => 'Bearer <token>',
'Accept' => 'application/json',
],
]);
echo $response->getStatusCode() . "\n";
echo $response->getBody();package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Accept", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res.StatusCode, string(body))
}import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1"))
.header("Authorization", "Bearer <token>")
.header("Accept", "application/json")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.statusCode());
System.out.println(response.body());
}
}import okhttp3.*;
public class Main {
public static void main(String[] args) throws Exception {
OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1")
.method("GET", null)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Accept", "application/json")
.build();
try (Response response = client.newCall(request).execute()) {
System.out.println(response.code());
System.out.println(response.body().string());
}
}
}using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<token>");
request.Headers.Accept.Add(new MediaTypeWithQualityHeaderValue("application/json"));
var response = await client.SendAsync(request);
Console.WriteLine((int)response.StatusCode);
Console.WriteLine(await response.Content.ReadAsStringAsync());require "net/http"
require "json"
uri = URI("https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"
request["Accept"] = "application/json"
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts response.code
puts JSON.pretty_generate(JSON.parse(response.body))import Foundation
var request = URLRequest(url: URL(string: "https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1")!)
request.httpMethod = "GET"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Accept")
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data, error == nil else { print(error ?? "request failed"); return }
print((response as! HTTPURLResponse).statusCode)
print(String(data: data, encoding: .utf8) ?? "")
}
task.resume()// Cargo.toml: reqwest = { version = "0.12", features = ["blocking", "json"] }, serde_json = "1"
use reqwest::blocking::Client;
fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Client::new();
let response = client
.request(reqwest::Method::GET, "https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1")
.bearer_auth("<token>")
.header("Accept", "application/json")
.send()?;
println!("{}", response.status());
let json: serde_json::Value = response.json()?;
println!("{}", serde_json::to_string_pretty(&json)?);
Ok(())
}// Cargo.toml: reqwest = { version = "0.12", features = ["json"] }, tokio = { version = "1", features = ["full"] }, serde_json = "1"
use reqwest::Client;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Client::new();
let response = client
.request(reqwest::Method::GET, "https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1")
.bearer_auth("<token>")
.header("Accept", "application/json")
.send()
.await?;
println!("{}", response.status());
let json: serde_json::Value = response.json().await?;
println!("{}", serde_json::to_string_pretty(&json)?);
Ok(())
}import okhttp3.MediaType.Companion.toMediaType
import okhttp3.OkHttpClient
import okhttp3.Request
fun main() {
val client = OkHttpClient()
val request = Request.Builder()
.url("https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1")
.method("GET", null)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Accept", "application/json")
.build()
client.newCall(request).execute().use { response ->
println(response.code)
println(response.body?.string())
}
}// pubspec.yaml: http: ^1.2.0
import 'dart:convert';
import 'package:http/http.dart' as http;
Future<void> main() async {
final request = http.Request('GET', Uri.parse('https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1'));
request.headers['Authorization'] = 'Bearer <token>';
request.headers['Accept'] = 'application/json';
final response = await http.Response.fromStream(await request.send());
print(response.statusCode);
print(const JsonEncoder.withIndent(' ').convert(jsonDecode(response.body)));
}#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (!curl) return 1;
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Accept: application/json");
curl_easy_setopt(curl, CURLOPT_URL, "https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1");
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
CURLcode result = curl_easy_perform(curl);
if (result != CURLE_OK) fprintf(stderr, "%s\n", curl_easy_strerror(result));
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
return result == CURLE_OK ? 0 : 1;
}$headers = @{
Authorization = "Bearer <token>"
Accept = "application/json"
}
$response = Invoke-RestMethod -Uri "https://cp.domain.com/api/v1/connectivity/ipblocks/1/ipv6?page=1" -Method GET -Headers $headers
$response | ConvertTo-Json -Depth 10GET /api/v1/connectivity/ipblocks/1/ipv6?page=1 HTTP/1.1
Host: cp.domain.com
Authorization: Bearer <token>
Accept: application/jsonResponses
200OK.
#
IPv6SubnetEntry fields
The subnet's first address.
The subnet's prefix length.
The server the subnet is assigned to, or null when free.
Whether the interface it is assigned to is a secondary interface.
Reserved subnets are not handed out automatically.
{
"current_page": 1,
"data": [
{
"id": 9101,
"subnet": "2001:db8:1:5::",
"prefix": 64,
"blockId": 12,
"serverId": 1500,
"interfaceId": 4000,
"interfaceSecondary": false,
"reserved": false,
"exhausted": false,
"created": "2026-10-06T15:02:11+00:00",
"updated": "2026-10-06T15:02:11+00:00"
}
],
"last_page": 15,
"per_page": 20,
"total": 300
}401The bearer token is missing, invalid, or expired. The response has no body.
#
404The IP block was not found.
#
{
"msg": "ip block not found"
}409The block is an IPv4 block.
#
429Too many requests. Either the token's requests per minute are used up (see the `X-RateL…
#
Too many requests. Either the token's requests per minute are used up (see the X-RateLimit-* headers) or the calling address has failed authentication 10 times in a minute (the body then includes retry_after_seconds). Retry-After gives the seconds to wait.
Seconds to wait before retrying. Present on the failed-authentication limit only.
Seconds to wait before retrying.
The token's requests per minute (token limit only).
Requests left in the current minute (token limit only).
Unix timestamp at which the minute resets (token limit only).
{
"errors": [
"Too Many Requests"
]
}{
"errors": [
"Too many authentication attempts. Try again later."
],
"retry_after_seconds": 42
}